diff --git a/.idea/sonarlint/issuestore/index.pb b/.idea/sonarlint/issuestore/index.pb
index 3167408..ae8156c 100644
--- a/.idea/sonarlint/issuestore/index.pb
+++ b/.idea/sonarlint/issuestore/index.pb
@@ -14,10 +14,6 @@ i
 	README.md,8\e\8ec9a00bfd09b3190ac6b22251dbb1aa95a0579d
 7
 pom.xml,4\4\442292b8a7efeabbe4cc176709b833b1792140ec
-_
-/src/main/java/cnkj/site/data/ProtobufOuter.java,5\a\5ac75731bc924d16ee247ba33055686cd1152925
-h
-8src/main/java/cnkj/site/data/ProtobufOuterOperation.java,b\a\ba55f3bf65bd51e1ae3ef25ad210a0f09762aa03
 k
 ;src/main/java/site/cnkj/common/config/AsyncExecutePool.java,4\1\416390ba57649e9f4e6365934e9a6827cca3ffed
 p
@@ -81,4 +77,8 @@ Asrc/main/java/site/cnkj/common/utils/serialize/UrlDecodeUtil.java,1\4\14399913
 q
 Asrc/main/java/site/cnkj/common/utils/system/GracefulShutdown.java,f\d\fdadf7a612307c5bb8e90739949b439a1891d886
 h
-8src/main/java/site/cnkj/common/utils/data/RedisUtil.java,e\0\e00232faab93cb27b9940f780c75123903d70b1c
\ No newline at end of file
+8src/main/java/site/cnkj/common/utils/data/RedisUtil.java,e\0\e00232faab93cb27b9940f780c75123903d70b1c
+_
+/src/main/java/site/cnkj/data/ProtobufOuter.java,9\f\9f5f569cdcb2cd35235adfef521ccd334b295f84
+h
+8src/main/java/site/cnkj/data/ProtobufOuterOperation.java,b\2\b28def072d697c755d8047d7c4fc36e92d284e43
\ No newline at end of file
diff --git a/src/main/java/site/cnkj/common/config/RedisConfig.java b/src/main/java/site/cnkj/common/config/RedisConfig.java
index 0c3e43e..fe58883 100644
--- a/src/main/java/site/cnkj/common/config/RedisConfig.java
+++ b/src/main/java/site/cnkj/common/config/RedisConfig.java
@@ -15,7 +15,9 @@ import org.springframework.data.redis.serializer.StringRedisSerializer;
 import site.cnkj.common.object.redis.Receiver;
 import site.cnkj.common.utils.data.RedisUtil;
 
-
+/**
+ * Created by rx on 2018/8/22.
+ */
 @Configuration
 public class RedisConfig {
 
diff --git a/src/main/java/site/cnkj/common/object/servlet/CommonInfo.java b/src/main/java/site/cnkj/common/object/servlet/CommonInfo.java
index 96f2baa..6d1b3ff 100644
--- a/src/main/java/site/cnkj/common/object/servlet/CommonInfo.java
+++ b/src/main/java/site/cnkj/common/object/servlet/CommonInfo.java
@@ -8,7 +8,7 @@ public class CommonInfo {
 
     /**
      * @Desc ResponseCode for servlet request callback
-     * @Version delete from 0.3.5 version and replace by cn.migu.log.ResponseBodyCode
+     * @Version delete from 0.3.5 version and replace by <url>cn.migu.log.common.object.servlet.ResponseBodyCode</url>
      */
     @Deprecated
     public static class ResponseCode{
diff --git a/src/main/java/site/cnkj/common/object/servlet/ResponseBodyCode.java b/src/main/java/site/cnkj/common/object/servlet/ResponseBodyCode.java
index fdfcb27..c159ee0 100644
--- a/src/main/java/site/cnkj/common/object/servlet/ResponseBodyCode.java
+++ b/src/main/java/site/cnkj/common/object/servlet/ResponseBodyCode.java
@@ -7,31 +7,17 @@ package site.cnkj.common.object.servlet;
  */
 public enum  ResponseBodyCode {
 
-    SUCCESS{
-        @Override
-        public String getCode() {
-            return "000000";
-        }
-    },
-    FAILED{
-        @Override
-        public String getCode() {
-            return "100000";
-        }
-    },
-    WARNING{
-        @Override
-        public String getCode() {
-            return "200000";
-        }
-    },
-    ERROR{
-        @Override
-        public String getCode() {
-            return "300000";
-        }
-    };
+    SUCCESS("000000"), FAILED("100000"), WARNING("200000"), ERROR("300000");
 
-    public abstract String getCode();
+
+    private String code;
+
+    ResponseBodyCode(String code){
+        this.code = code;
+    }
+
+    public String getCode(){
+        return this.code;
+    }
 
 }
diff --git a/src/main/java/site/cnkj/common/utils/data/MongoClientsInit.java b/src/main/java/site/cnkj/common/utils/data/MongoClientsInit.java
index f6d530c..e6eb219 100644
--- a/src/main/java/site/cnkj/common/utils/data/MongoClientsInit.java
+++ b/src/main/java/site/cnkj/common/utils/data/MongoClientsInit.java
@@ -1,12 +1,13 @@
 package site.cnkj.common.utils.data;
 
-import com.mongodb.client.MongoClient;
-import com.mongodb.client.MongoClients;
+
+import com.mongodb.MongoClient;
+import com.mongodb.MongoClientOptions;
+import com.mongodb.MongoClientURI;
 import com.mongodb.client.MongoDatabase;
-import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
-import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
+import lombok.Data;
+import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
 import org.springframework.boot.context.properties.ConfigurationProperties;
-import org.springframework.context.annotation.Configuration;
 import org.springframework.stereotype.Component;
 
 import javax.annotation.PostConstruct;
@@ -16,25 +17,20 @@ import java.util.HashMap;
  * @author  LXW
  * @create  2020/8/17 9:50
  * @Description
+ *  1. 使用本bean的时候需要在启动类上加上下面这行注解，否则会自动链接本地mongo出现异常
+ *      <code>@EnableAutoConfiguration(exclude = {MongoAutoConfiguration.class})</code>
+ *  2. 使用MongoClient的时候不能同时使用SpringMongo，如果存在SpringMongo的maven依赖需要去除
  */
+@Data
 @Component
-@EnableAutoConfiguration(exclude = {MongoAutoConfiguration.class})
-@Configuration
 @ConfigurationProperties(prefix = "spring.data.mongodb")
+@ConditionalOnProperty(prefix = "spring.data.mongodb", value = "activity", havingValue = "true")
 public class MongoClientsInit {
 
     private HashMap<String, String> uri = new HashMap<>();
 
-    public void setUri(HashMap<String, String> uri) {
-        this.uri = uri;
-    }
-
     private HashMap<String, MongoDatabase> mongoClientDatabases = new HashMap<>();
 
-    public HashMap<String, MongoDatabase> getMongoClientDatabases() {
-        return mongoClientDatabases;
-    }
-
     private String getDatabase(String mongoUri) throws Exception{
         String databaseName = "";
         String substring = mongoUri.substring(10, mongoUri.length());
@@ -48,13 +44,18 @@ public class MongoClientsInit {
         return databaseName;
     }
 
-
     @PostConstruct
     public void init() throws Exception{
         if (uri.size() > 0){
             for (String name : uri.keySet()) {
                 String url = uri.get(name);
-                MongoClient mongoClient = MongoClients.create(url);
+                //配制连接池
+                MongoClientOptions.Builder mongoClientBuilder = new MongoClientOptions.Builder();
+                mongoClientBuilder.connectionsPerHost(30);
+                mongoClientBuilder.connectTimeout(30000);
+                mongoClientBuilder.retryWrites(true);
+                //支持ssl连接
+                MongoClient mongoClient = new MongoClient(new MongoClientURI(url, mongoClientBuilder));
                 MongoDatabase mongoClientDatabase = mongoClient.getDatabase(getDatabase(url));
                 mongoClientDatabases.put(name, mongoClientDatabase);
             }
diff --git a/src/main/java/site/cnkj/common/utils/date/DateUtil.java b/src/main/java/site/cnkj/common/utils/date/DateUtil.java
index d98f8e7..aac0244 100644
--- a/src/main/java/site/cnkj/common/utils/date/DateUtil.java
+++ b/src/main/java/site/cnkj/common/utils/date/DateUtil.java
@@ -10,8 +10,33 @@ import java.util.*;
 /*
  * @version 1.0 created by LXW on 2018/11/8 16:11
  */
-public class DateUtil {
+public final class DateUtil {
 
+     public enum FORMAT_ENUM{
+        BASETIME_yyyy("yyyy"),BASETIME_MM("MM"),BASETIME_dd("dd"),BASETIME_HH("HH"),BASETIME_mm("mm"),BASETIME_ss("ss"), BASETIME_SSS("SSS"),
+        FULLTIMEBY_yMd("yyyy-MM-dd"),FULLTIMEBY_yMdH("yyyy-MM-dd HH"),FULLTIMEBY_yMdHm("yyyy-MM-dd HH:mm"),
+        FULLTIMEBY_yM("yyyy-MM"),FULLTIMEBY_Md("MM-dd"),FULLTIMEBY_Hms("HH:mm:ss"),FULLTIMEBY_Hm("HH:mm"),FULLTIMEBY_ms("mm:ss"),
+        FULLTIMEBY_HmsS("HH:mm:ss.SSS"),NOSEGMENTATION_yM("yyyyMM"),NOSEGMENTATION_yMd("yyyyMMdd"),NOSEGMENTATION_Hm("HHmm"),
+        NOSEGMENTATION_Hms("HHmmss"),NOSEGMENTATION_HmsS("HHmmssSSS"),NOSEGMENTATION_yMdHm("yyyyMMddHHmm"),NOSEGMENTATION_yMdHms("yyyyMMddHHmmss"),
+        NOSEGMENTATION_yMdHmsS("yyyyMMddHHmmssSSS"),POINT_yMd("yyyy.MM.dd"),POINT_Hms("HH.mm.ss"),FULLTIMEBY_yMdHms("yyyy-MM-dd HH:mm:ss"),
+        FULLTIMEBY_yMdHmsS("yyyy-MM-dd HH:mm:ss.SSS"),FULLTIMEFORMAT_yMd("yyyy年MM月dd日"),FULLTIMEFORMAT_Hms("HH时mm分ss秒"),
+        FULLTIMEFORMAT_yMdHms("yyyy年MM月dd日 HH时mm分ss秒"),FULLTIMEFORMAT_yMdHmsS("yyyy年MM月dd日 HH时mm分ss秒SSS毫秒");
+
+        private FORMAT_ENUM(String value) {
+            this.value = value;
+        }
+
+        private String value;
+
+        public String getValue(){
+            return value;
+        }
+    }
+
+    /**
+     * @Deprecated use enum FORMAT_ENUM
+     */
+    @Deprecated
     public static class FORMAT{
         //基本单位 年
         public static final String BASETIME_yyyy = "yyyy";
@@ -98,7 +123,7 @@ public class DateUtil {
     }
 
     public static String timeStamp2fulltime(Date date){
-        SimpleDateFormat sdf = new SimpleDateFormat(FORMAT.FULLTIMEBY_yMdHms);
+        SimpleDateFormat sdf = new SimpleDateFormat(FORMAT_ENUM.FULLTIMEBY_yMdHms.getValue());
         return sdf.format(date);
     }
 
@@ -112,8 +137,7 @@ public class DateUtil {
     public static long getTodayEarlyMorning(String time, String timeFormat){
         long current=translateDateToTimestamp(time, timeFormat);//当前时间毫秒数
         long zero=current/(1000*3600*24)*(1000*3600*24)-TimeZone.getDefault().getRawOffset();//前一天的零点零分零秒的毫秒数
-        long startTime = zero + 24*60*60*1000;
-        return startTime;
+        return zero + 24*60*60*1000;
     }
 
 
@@ -127,8 +151,7 @@ public class DateUtil {
     public static long getTodayLaterMorning(String time, String timeFormat){
         long current=translateDateToTimestamp(time, timeFormat);//当前时间毫秒数
         long zero=current/(1000*3600*24)*(1000*3600*24)-TimeZone.getDefault().getRawOffset();//前一天的零点零分零秒的毫秒数
-        long endTime = zero + 24*60*60*1000*2 - 1;
-        return endTime;
+        return zero + 24*60*60*1000*2 - 1;
     }
 
 
@@ -160,7 +183,7 @@ public class DateUtil {
             type = "s";
         }
         if (timeFormat == null){
-            timeFormat = FORMAT.FULLTIMEBY_yMdHmsS;
+            timeFormat = FORMAT_ENUM.FULLTIMEBY_yMdHmsS.getValue();
         }
         long date = System.currentTimeMillis();
         Long now_time = new Long(1);
@@ -175,8 +198,7 @@ public class DateUtil {
         }else if ("d".equals(type)){
             now_time = date - pastTime*1000*60*60*24;
         }
-        String finalTime = translateTimeToDate(now_time, timeFormat);
-        return finalTime;
+        return translateTimeToDate(now_time, timeFormat);
     }
 
     public static String getThePastTime(int pastTime){
@@ -202,8 +224,7 @@ public class DateUtil {
     public static String getNowTimeByFormat(String timeFormat){
         Date date = new Date();
         SimpleDateFormat simpleDateFormat = new SimpleDateFormat(timeFormat);
-        String today = simpleDateFormat.format(date);
-        return today;
+        return simpleDateFormat.format(date);
     }
 
     /**
@@ -214,8 +235,7 @@ public class DateUtil {
      */
     public static String translateTimeToDate(Long timestamp, String timeFormat){
         SimpleDateFormat simpleDateFormat = new SimpleDateFormat(timeFormat);
-        String da = simpleDateFormat.format(timestamp);
-        return da;
+        return simpleDateFormat.format(timestamp);
     }
 
     /**
@@ -226,8 +246,7 @@ public class DateUtil {
      */
     public static String translateDateToString(Date date, String timeFormat){
         SimpleDateFormat simpleDateFormat = new SimpleDateFormat(timeFormat);
-        String da = simpleDateFormat.format(date);
-        return da;
+        return simpleDateFormat.format(date);
     }
 
     /**
@@ -277,10 +296,11 @@ public class DateUtil {
         Date date = null;
         try {
             date = simpleDateFormat.parse(time);
+            return date.getTime();
         } catch (ParseException e) {
             e.printStackTrace();
         }
-        return date.getTime();
+        return null;
     }
 
 
@@ -288,16 +308,15 @@ public class DateUtil {
      * 序列化字符串为时间格式
      * @param time 需要转换的字符串 (20181011 10:11:12.013)
      * @param timeFormat 字符串对应的时间格式 (yyyyMMdd HH:mm:ss.SSS)
-     * @param timeTranselate 转换后需要的字符串格式 (yyyy年M月dd日 HH时mm分ss秒SSS毫秒)
+     * @param timeTranslate 转换后需要的字符串格式 (yyyy年M月dd日 HH时mm分ss秒SSS毫秒)
      * @return 2018年10月11日 10时11分12秒13毫秒
      */
-    public static String serializationDate(String time, String timeFormat, String timeTranselate){
+    public static String serializationDate(String time, String timeFormat, String timeTranslate){
         SimpleDateFormat simpleDateFormat = new SimpleDateFormat(timeFormat);
         try {
             Date date = simpleDateFormat.parse(time);
-            SimpleDateFormat dateFormat = new SimpleDateFormat(timeTranselate);
-            String formatTime = dateFormat.format(date);
-            return formatTime;
+            SimpleDateFormat dateFormat = new SimpleDateFormat(timeTranslate);
+            return dateFormat.format(date);
         } catch (ParseException e) {
             e.printStackTrace();
         }
@@ -389,7 +408,7 @@ public class DateUtil {
         long delayTime = 0;
         if (executorTime <= 24 && executorTime>0){
             int num = 24 / executorTime;
-            long tomorrowEarlyMorning = getTodayEarlyMorning(translateTimeToDate(getCurrentTime(), FORMAT.FULLTIMEBY_yMdHmsS), FORMAT.FULLTIMEBY_yMdHmsS);
+            long tomorrowEarlyMorning = getTodayEarlyMorning(translateTimeToDate(getCurrentTime(), FORMAT_ENUM.FULLTIMEBY_yMdHmsS.getValue()), FORMAT_ENUM.FULLTIMEBY_yMdHmsS.getValue());
             long todayEarlyMorning = tomorrowEarlyMorning - 24*60*60*1000;
             long todayHour = num * executorTime * 3600000 + todayEarlyMorning;
             if (todayHour < getCurrentTime() && getCurrentTime() < tomorrowEarlyMorning){
@@ -452,12 +471,11 @@ public class DateUtil {
      * @return      2020-03-24 19:24:31
      */
     public static String switchTime(String time) throws ParseException {
-        SimpleDateFormat format2 = new SimpleDateFormat(FORMAT.FULLTIMEBY_yMdHms);
+        SimpleDateFormat format2 = new SimpleDateFormat(FORMAT_ENUM.FULLTIMEBY_yMdHms.getValue());
         SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSS Z");//格式化的表达式
         time = time.replace("Z", " UTC");//是空格+UTC
         Date data = format.parse(time);
-        String format1 = format2.format(data);
-        return format1;
+        return format2.format(data);
     }
 
     /**
@@ -472,8 +490,7 @@ public class DateUtil {
         SimpleDateFormat df1 = new SimpleDateFormat ("EEE MMM dd HH:mm:ss Z yyyy", Locale.UK);
         Date date1 =  df1.parse(date.toString());
         SimpleDateFormat df2 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
-        String format = df2.format(date1);
-        return format;
+        return df2.format(date1);
     }
 
     /**
@@ -529,7 +546,7 @@ public class DateUtil {
                 !date_format.contains("mm") &&
                 !date_format.contains("ss")){
             //月
-            String toDate = DateUtil.translateTimeToDate(current_time, DateUtil.FORMAT.FULLTIMEBY_yM);
+            String toDate = DateUtil.translateTimeToDate(current_time, FORMAT_ENUM.FULLTIMEBY_yM.getValue());
             Integer year = Integer.valueOf(toDate.split("-")[0]);
             Integer month = Integer.valueOf(toDate.split("-")[1]);
             int shang = parseInt / 12;
@@ -544,7 +561,7 @@ public class DateUtil {
                 month = month - 12;
             }
             String i5 = month<10?"0"+String.valueOf(month):String.valueOf(month);
-            Long translateDateToTimestamp = DateUtil.translateDateToTimestamp(String.valueOf(year) + "-" + i5, DateUtil.FORMAT.FULLTIMEBY_yM);
+            Long translateDateToTimestamp = DateUtil.translateDateToTimestamp(String.valueOf(year) + "-" + i5, FORMAT_ENUM.FULLTIMEBY_yM.getValue());
             translateTimeToDate = DateUtil.translateTimeToDate(translateDateToTimestamp, date_format);
         }else if ((date_format.contains("YYYY")||date_format.contains("yyyy")) &&
                 !date_format.contains("MM") &&
@@ -553,9 +570,9 @@ public class DateUtil {
                 !date_format.contains("mm") &&
                 !date_format.contains("ss")){
             //年
-            String year = DateUtil.translateTimeToDate(current_time, FORMAT.BASETIME_yyyy);
+            String year = DateUtil.translateTimeToDate(current_time, FORMAT_ENUM.BASETIME_yyyy.getValue());
             String value = String.valueOf(Integer.valueOf(year) + parseInt);
-            Long aLong = DateUtil.translateDateToTimestamp(value, FORMAT.BASETIME_yyyy);
+            Long aLong = DateUtil.translateDateToTimestamp(value, FORMAT_ENUM.BASETIME_yyyy.getValue());
             translateTimeToDate = DateUtil.translateTimeToDate(aLong, date_format);
         }else {
             translateTimeToDate = DateUtil.translateTimeToDate(current_time, date_format);
@@ -618,13 +635,13 @@ public class DateUtil {
      */
     public static List<JSONObject> getAroundTimeList(String startTime, String endTime, int cut){
         List<JSONObject> times = new LinkedList<>();
-        Long startTimestamp = DateUtil.translateDateToTimestamp(startTime, DateUtil.FORMAT.FULLTIMEBY_yMdHms)/1000;
-        Long endTimestamp = DateUtil.translateDateToTimestamp(endTime, DateUtil.FORMAT.FULLTIMEBY_yMdHms)/1000;
+        Long startTimestamp = DateUtil.translateDateToTimestamp(startTime, FORMAT_ENUM.FULLTIMEBY_yMdHms.getValue())/1000;
+        Long endTimestamp = DateUtil.translateDateToTimestamp(endTime, FORMAT_ENUM.FULLTIMEBY_yMdHms.getValue())/1000;
         List<String> list = DateUtil.splitTimestamp(cut, startTimestamp, endTimestamp);
         for (String s : list) {
             String[] split = s.split(",");
-            Date start_time = DateUtil.translateTimestampToDate(Long.valueOf(split[0]), DateUtil.FORMAT.FULLTIMEBY_yMdHms);
-            Date end_time = DateUtil.translateTimestampToDate(Long.valueOf(split[1]), DateUtil.FORMAT.FULLTIMEBY_yMdHms);
+            Date start_time = DateUtil.translateTimestampToDate(Long.valueOf(split[0]), FORMAT_ENUM.FULLTIMEBY_yMdHms.getValue());
+            Date end_time = DateUtil.translateTimestampToDate(Long.valueOf(split[1]), FORMAT_ENUM.FULLTIMEBY_yMdHms.getValue());
             JSONObject jsonObject = new JSONObject();
             jsonObject.put("startTime", start_time);
             jsonObject.put("endTime", end_time);
diff --git a/src/main/java/site/cnkj/common/utils/file/FileEncryptDecrypt.java b/src/main/java/site/cnkj/common/utils/file/FileEncryptDecrypt.java
index 384d115..87d6f38 100644
--- a/src/main/java/site/cnkj/common/utils/file/FileEncryptDecrypt.java
+++ b/src/main/java/site/cnkj/common/utils/file/FileEncryptDecrypt.java
@@ -44,7 +44,7 @@ public class FileEncryptDecrypt {
     public static boolean encrypt(String keyPath, String input, String output){
         FileInputStream fileInputStream = null;
         FileOutputStream fileOutputStream = null;
-        List<String> list = new ArrayList();
+        List<String> list = new ArrayList<>();
         try {
             byte[] buffer = Files.readAllBytes(Paths.get(keyPath));
             X509EncodedKeySpec keySpec = new X509EncodedKeySpec(buffer);
@@ -53,20 +53,28 @@ public class FileEncryptDecrypt {
 
             File inputFile = new File(input);
             File outputFile = new File(output);
-            fileInputStream = new FileInputStream(inputFile);
-            fileOutputStream = new FileOutputStream(outputFile);
-            byte[] inputByte = new byte[116];
-            int len;
-            while((len = fileInputStream.read(inputByte)) != -1){
-                list.add(new String(inputByte, 0, len));
+            try {
+                fileInputStream = new FileInputStream(inputFile);
+                fileOutputStream = new FileOutputStream(outputFile);
+                byte[] inputByte = new byte[116];
+                int len;
+                while((len = fileInputStream.read(inputByte)) != -1){
+                    list.add(new String(inputByte, 0, len));
+                }
+                for (String s : list) {
+                    byte [] encrypted = encrypt(publicKey, s);
+                    fileOutputStream.write(encrypted);
+                    fileOutputStream.flush();
+                }
+            }finally {
+                if (fileInputStream != null){
+                    fileInputStream.close();
+                }
+                if (fileOutputStream != null){
+                    fileOutputStream.close();
+                }
             }
-            for (String s : list) {
-                byte [] encrypted = encrypt(publicKey, s);
-                fileOutputStream.write(encrypted);
-                fileOutputStream.flush();
-            }
-            fileOutputStream.close();
-            fileInputStream.close();
+
             return true;
         } catch (Exception e) {
             e.printStackTrace();
diff --git a/src/main/java/site/cnkj/common/utils/file/FileUtil.java b/src/main/java/site/cnkj/common/utils/file/FileUtil.java
index eff2f73..3142169 100644
--- a/src/main/java/site/cnkj/common/utils/file/FileUtil.java
+++ b/src/main/java/site/cnkj/common/utils/file/FileUtil.java
@@ -278,12 +278,12 @@ public class FileUtil {
     }
 
     public static File getRecoverFileName(String templateName, String paramsNum, String path) throws Exception{
-        String translateTimeToDate = DateUtil.translateTimeToDate(DateUtil.getLastDaysTimestamp(1), DateUtil.FORMAT.NOSEGMENTATION_yMd);
+        String translateTimeToDate = DateUtil.translateTimeToDate(DateUtil.getLastDaysTimestamp(1), DateUtil.FORMAT_ENUM.NOSEGMENTATION_yMd.getValue());
         List<String> fileNames = Arrays.asList(
                 templateName,
                 translateTimeToDate,
                 "00",
-                DateUtil.translateTimeToDate(System.currentTimeMillis(), DateUtil.FORMAT.NOSEGMENTATION_yMdHms),
+                DateUtil.translateTimeToDate(System.currentTimeMillis(), DateUtil.FORMAT_ENUM.NOSEGMENTATION_yMdHms.getValue()),
                 HttpCommonUtil.hostName,
                 paramsNum
         );
@@ -297,14 +297,14 @@ public class FileUtil {
 
     public static String getLogFileName(String templateName, String paramsNum, String date_format, int date_num) throws Exception{
         if (StringUtils.isEmpty(date_format)){
-            date_format = DateUtil.FORMAT.NOSEGMENTATION_yMdHms;
+            date_format = DateUtil.FORMAT_ENUM.NOSEGMENTATION_yMdHms.getValue();
         }
         String translateTimeToDate = DateUtil.translateTimeToDate(DateUtil.getLastDaysTimestamp(date_num), date_format);
         List<String> fileNames = Arrays.asList(
                 templateName,
                 translateTimeToDate,
                 "00",
-                DateUtil.translateTimeToDate(System.currentTimeMillis(), DateUtil.FORMAT.NOSEGMENTATION_yMdHmsS),
+                DateUtil.translateTimeToDate(System.currentTimeMillis(), DateUtil.FORMAT_ENUM.NOSEGMENTATION_yMdHmsS.getValue()),
                 HttpCommonUtil.hostName,
                 paramsNum
         );
diff --git a/src/main/java/site/cnkj/common/utils/http/HttpCommonUtil.java b/src/main/java/site/cnkj/common/utils/http/HttpCommonUtil.java
index 649a7cf..e515eda 100644
--- a/src/main/java/site/cnkj/common/utils/http/HttpCommonUtil.java
+++ b/src/main/java/site/cnkj/common/utils/http/HttpCommonUtil.java
@@ -37,13 +37,15 @@ public class HttpCommonUtil {
             ip = request.getRemoteAddr();
             if(ip.equals("127.0.0.1")){
                 //根据网卡取本机配置的IP
-                InetAddress inet=null;
+                InetAddress interNet=null;
                 try {
-                    inet = InetAddress.getLocalHost();
+                    interNet = InetAddress.getLocalHost();
                 } catch (Exception e) {
                     e.printStackTrace();
                 }
-                ip= inet.getHostAddress();
+                if (interNet != null){
+                    ip= interNet.getHostAddress();
+                }
             }
         }
         // 多个代理的情况，第一个IP为客户端真实IP,多个IP按照','分割
@@ -60,10 +62,11 @@ public class HttpCommonUtil {
         InetAddress address = null;
         try {
             address = InetAddress.getLocalHost();
+            return address.getHostAddress();
         } catch (Exception e) {
             e.printStackTrace();
         }
-        return address.getHostAddress();
+        return null;
     }
 
     //获取本地机器名
@@ -75,10 +78,11 @@ public class HttpCommonUtil {
         InetAddress address = null;
         try {
             address = InetAddress.getLocalHost();
+            return address.getHostName();
         } catch (UnknownHostException e) {
             e.printStackTrace();
         }
-        return address.getHostName();
+        return null;
     }
 
     /**
diff --git a/src/main/java/site/cnkj/common/utils/http/RestTemplateUtil.java b/src/main/java/site/cnkj/common/utils/http/RestTemplateUtil.java
index 0364c5a..0bc2d0f 100644
--- a/src/main/java/site/cnkj/common/utils/http/RestTemplateUtil.java
+++ b/src/main/java/site/cnkj/common/utils/http/RestTemplateUtil.java
@@ -21,10 +21,10 @@ public class RestTemplateUtil {
 
     private RestTemplate restTemplate;
 
-    @Value("${restTemplate.remote.alarm.url.email}")
+    @Value("${restTemplate.remote.alarm.url.email:''}")
     private String alarmEmailUrl = "";
 
-    @Value("${restTemplate.remote.alarm.url.sms}")
+    @Value("${restTemplate.remote.alarm.url.sms:''}")
     private String alarmSMSUrl = "";
 
     public void setRestTemplate(RestTemplate restTemplate) {
diff --git a/src/main/java/site/cnkj/common/utils/io/RSAEncrypt.java b/src/main/java/site/cnkj/common/utils/io/RSAEncrypt.java
index 3eeddfc..65ae08d 100644
--- a/src/main/java/site/cnkj/common/utils/io/RSAEncrypt.java
+++ b/src/main/java/site/cnkj/common/utils/io/RSAEncrypt.java
@@ -84,10 +84,12 @@ public class RSAEncrypt {
         } catch (NoSuchAlgorithmException e) {
             e.printStackTrace();
         }
-        keyPairGen.initialize(1024, new SecureRandom());
-        KeyPair keyPair= keyPairGen.generateKeyPair();
-        this.privateKey= (RSAPrivateKey) keyPair.getPrivate();
-        this.publicKey= (RSAPublicKey) keyPair.getPublic();
+        if (keyPairGen != null){
+            keyPairGen.initialize(1024, new SecureRandom());
+            KeyPair keyPair= keyPairGen.generateKeyPair();
+            this.privateKey= (RSAPrivateKey) keyPair.getPrivate();
+            this.publicKey= (RSAPublicKey) keyPair.getPublic();
+        }
     }
 
     /**
diff --git a/src/main/java/site/cnkj/common/utils/io/StringUtil.java b/src/main/java/site/cnkj/common/utils/io/StringUtil.java
index 04cc279..ea0a908 100644
--- a/src/main/java/site/cnkj/common/utils/io/StringUtil.java
+++ b/src/main/java/site/cnkj/common/utils/io/StringUtil.java
@@ -184,4 +184,15 @@ public class StringUtil {
         return null;
     }
 
+    public static String CapitalizeFirstLetter(String input){
+        try {
+            char[] chars = input.toCharArray();
+            chars[0]-=32;
+            return String.valueOf(chars);
+        }catch (Exception e){
+            e.printStackTrace();
+        }
+        return null;
+    }
+
 }
diff --git a/src/main/java/site/cnkj/common/utils/logger/LoggerUtil.java b/src/main/java/site/cnkj/common/utils/logger/LoggerUtil.java
index b2346f4..f7208b1 100644
--- a/src/main/java/site/cnkj/common/utils/logger/LoggerUtil.java
+++ b/src/main/java/site/cnkj/common/utils/logger/LoggerUtil.java
@@ -15,6 +15,7 @@ import site.cnkj.common.utils.io.StringUtil;
 /*
  * @version 1.0 created by LXW on 2019/4/1 9:13
  */
+@Deprecated
 @Component
 public class LoggerUtil {
 
@@ -62,8 +63,8 @@ public class LoggerUtil {
     @Data
     public static class MonitorEntity {
         private String hostName = HttpCommonUtil.getLocalHostName();//机器名
-        private String timestamp = DateUtil.translateTimeToDate(DateUtil.getCurrentTime(), DateUtil.FORMAT.FULLTIMEBY_yMdHmsS);//时间
-        private String time = DateUtil.translateTimeToDate(DateUtil.getCurrentTime(), DateUtil.FORMAT.FULLTIMEBY_yMdHmsS);//时间
+        private String timestamp = DateUtil.translateTimeToDate(DateUtil.getCurrentTime(), DateUtil.FORMAT_ENUM.FULLTIMEBY_yMdHmsS.getValue());//时间
+        private String time = DateUtil.translateTimeToDate(DateUtil.getCurrentTime(), DateUtil.FORMAT_ENUM.FULLTIMEBY_yMdHmsS.getValue());//时间
         private String level;//级别
         @Nullable private String status;//状态枚举值
         @Nullable private String type;//类型
diff --git a/src/test/java/site/cnkj/utils/CommonApplicationTests.java b/src/test/java/site/cnkj/utils/CommonApplicationTests.java
index 72ef2f1..5041307 100644
--- a/src/test/java/site/cnkj/utils/CommonApplicationTests.java
+++ b/src/test/java/site/cnkj/utils/CommonApplicationTests.java
@@ -1,8 +1,17 @@
 package site.cnkj.utils;
 
+import com.mongodb.*;
+import com.mongodb.client.MongoCursor;
+import com.mongodb.client.MongoDatabase;
+import org.apache.commons.lang.StringUtils;
+import org.bson.Document;
 import site.cnkj.common.utils.io.DES;
 import site.cnkj.common.utils.io.RSAEncrypt;
 
+import java.util.ArrayList;
+import java.util.HashMap;
+import java.util.List;
+
 public class CommonApplicationTests {
 
 	private static final String DEFAULT_PUBLIC_KEY=
@@ -83,4 +92,59 @@ public class CommonApplicationTests {
 		}
 	}
 
+	private static HashMap<String, MongoDatabase> mongoClientDatabases = new HashMap<>();
+
+	private static String getDatabase(String url) {
+		String databaseName = "";
+		String substring = url.substring(10, url.length());
+		String[] split = substring.split("/");
+		String database = split[1];
+		if (database.contains("?")){
+			databaseName = database.split("\\?")[0];
+		}else {
+			databaseName = database;
+		}
+		return databaseName;
+	}
+
+	private static List<ServerAddress> createServerAddress(String url){
+		List<ServerAddress> serverAddresses = new ArrayList<>();
+		String substring = url.substring(10, url.length());
+		String[] split = substring.split("/");
+		String[] hosts = split[0].split(",", -1);
+		for (String host : hosts) {
+			if (StringUtils.isNotEmpty(host)){
+				String[] strings = host.split(":", -1);
+				ServerAddress serverAddress = new ServerAddress(strings[0], Integer.valueOf(strings[1]));
+				serverAddresses.add(serverAddress);
+			}
+		}
+		return serverAddresses;
+	}
+
+	private static void test3(){
+		String url = "mongodb://10.25.245.121:17017/log_storage_stable?connectTimeoutMS=50&maxPoolSize=5&waitQueueTimeoutMS=100&socketTimeoutMS=1000&maxIdleTimeMS=60000";
+		try {
+			//配制连接池
+			MongoClientOptions.Builder mongoClientBuilder = new MongoClientOptions.Builder();
+			mongoClientBuilder.connectionsPerHost(30);
+			mongoClientBuilder.connectTimeout(30000);
+			mongoClientBuilder.retryWrites(true);
+			//MongoClientOptions mongoClientOptions = mongoClientBuilder.build();
+
+			MongoClient mongoClient = new MongoClient(new MongoClientURI(url, mongoClientBuilder));
+			MongoDatabase mongoClientDatabase = mongoClient.getDatabase(getDatabase(url));
+			MongoCursor<Document> cursor = mongoClientDatabase.getCollection("a_10000_00062").find().limit(10).iterator();
+			while (cursor.hasNext()){
+				System.out.println(cursor.next().toJson());
+			}
+		}catch (MongoClientException e){
+			e.printStackTrace();
+		}
+	}
+
+	public static void main(String[] args) {
+		test3();
+	}
+
 }
